Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing
Class DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck

    java.lang.Object
      org.hibernate.testing.DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck

All Implemented Interfaces:
  DialectCheck

Enclosing class:
  DialectChecks

    public static class DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck

extends Object
implements DialectCheck

Constructor Summary
`DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck()`

Method Summary
`boolean` | `isMatch(Dialect dialect)` Does the given dialect match the defined check?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck

    public DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck()

Method Detail

### isMatch

    public boolean isMatch(Dialect dialect)

  Description copied from interface: `DialectCheck`
  Does the given dialect match the defined check?

  Specified by:
    `isMatch` in interface `DialectCheck`
  Parameters:
    `dialect` - The dialect against which to check
  Returns:
    `true` if it matches; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.